/*  GtkTransLabel v0.2(gikocat project)
 * This is my first GtkWidget
 * GtkTransLabel is Copyright (C) 1999 by:
 * gchar <gikocat@gikocat.20m.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *ʽƤGTKץߥ󥰤ǤȻפޤ
 *ŪʥɥХĺФ꤬Ǥ
 *ä¤Ʋ
 *
 *GtkTransLabelƩ٥륦åȤǤ
 *Ʃ٥뤬̣뤫Τޤ󤬡Ū˻Ȥ褦ʡ
 *ƥ饹GtkWidgetˤơGtkDrawingareaGtkLabel򻲹ͤˤƺƤޤ
 *ȼΥɥطʤγ
 *ξʸ褵뤳ȤˤȾƩΥ٥ޤ
 *ؿGtkLabel˻ƤޤΤǡGtkLabelȤФǤܻۤѤǤȻפޤ
 *GtkLabelȰۤʤΤgtk_trans_label_new(void);פʤȤ餤ʡ
 *
 * : ܸGtkTransLabelɽˤgtk_set_locale();ɬפǤ
 *
 *gtk_trans_set_transƩγǤޤ
 *255Ʃ0εա125(ǥե)դˤȾƩǤ礦ɤʤޤ
 *
 *ȥåץ٥ΥɥưGtkTransLabelطʤѤޤ
 *¸ˤϥȥåץ٥륦ɥgtk_signal_connect(GTK_OBJECT(main_win), "configure_event",~
 *configureʥꤷΥϥɥgtk_widget_queue_resize(GTK_WIDGET(trans_label));
 *򤹤ȤǤޤ
 *ǭץåȤǤtrans_button_clickedconfigure_eventؿǤ餷Ȥ򤷤Ƥޤ
 */

#ifndef __GTK_TRANS_LABEL_H__
#define __GTK_TRANS_LABEL_H__


#include <gdk/gdk.h>
#include <gtk/gtkenums.h>
#include <gtk/gtkwidget.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef enum{
	GTK_TRANS_LABEL_BLACK,
	GTK_TRANS_LABEL_WHITE,
	GTK_TRANS_LABEL_RED,
	GTK_TRANS_LABEL_GREEN,
	GTK_TRANS_LABEL_BLUE,
	GTK_TRANS_LABEL_YELLOW,
	GTK_TRANS_LABEL_PERPLE,
	GTK_TRANS_LABEL_PINK,
	GTK_TRANS_LABEL_ORANGE,
	GTK_TRANS_LABEL_MAZENDA,
	GTK_TRANS_LABEL_GLAY,
	GTK_TRANS_LABEL_SILVER,
	GTK_TRANS_LABEL_OLIVE,
	GTK_TRANS_LABEL_GOLDENROD,
	GTK_TRANS_LABEL_NAVY, 
}GtkTransLabelColor;

typedef enum{
	GTK_TRANS_LABEL_NORMAL,
	GTK_TRANS_LABEL_SMALL_KAPPA,
	GTK_TRANS_LABEL_SMALL_MISC,
	GTK_TRANS_LABEL_SMALL_ALIAS,
	GTK_TRANS_LABEL_MNKANA,
	GTK_TRANS_LABEL_BIG
}GtkTransLabelFont;

#define GTK_TYPE_TRANS_LABEL            (gtk_trans_label_get_type ())
#define GTK_TRANS_LABEL(obj)            (GTK_CHECK_CAST ((obj), GTK_TYPE_TRANS_LABEL, GtkTransLabel))
#define GTK_TRANS_LABEL_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_TRANS_LABEL, GtkTransLabelClass))
#define GTK_IS_TRANS_LABEL(obj)         (GTK_CHECK_TYPE ((obj), GTK_TYPE_TRANS_LABEL))
#define GTK_IS_TRANS_LABEL_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_TRANS_LABEL))

typedef struct _GtkTransLabel       GtkTransLabel;
typedef struct _GtkTransLabelClass  GtkTransLabelClass;


struct _GtkTransLabel
{
    GtkWidget widget;

	gchar *label;
	GList *row;
    gpointer draw_data;
    gint transparent_value;
    
    GdkPixmap *pixmap;
};

struct _GtkTransLabelClass
{
  GtkWidgetClass parent_class;
};

GtkType			gtk_trans_label_get_type   (void);

GtkWidget* 	   gtk_trans_label_new        (void);

/*		           Ʃٹꤹ롣*/
void			   gtk_trans_label_set_trans(GtkTransLabel *trans_label,
												gint percent);
												
void	           gtk_trans_label_set(GtkTransLabel *trans_label,
												const gchar *str);

void               gtk_trans_label_get(GtkTransLabel *trans_label,
												gchar **str);
											
void			   gtk_trans_label_set_justify(GtkTransLabel *trans_label,
													GtkJustification jtype);
													
void               gtk_trans_label_size       (GtkTransLabel      *trans_label,
                                                     gint                 width,
                                                     gint                 height);
                     
/*				   ǭץå?   */
void			   gtk_trans_label_set_color(GtkTransLabel *trans_label,
													GtkTransLabelColor color_type);
													
void			   gtk_trans_label_set_font(GtkTransLabel *trans_label,
													GtkTransLabelFont font_type);
                                        
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GTK_TRANS_LABEL_H__ */
